Subject: Ctrl-C in Bash Window
From: [email-masked] (Ron Karpel)

21 Jan 1997 19:40:06 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

Hi,

I am trying to catch keyboard interrupt (ctrl-c). I use the standard
signal handler. It works fine when I run the application in `cmd.exe',
but not in `bash'. It even works in emacs shell as long as I use
cmd.exe.

does anybody know a way to make this work in `bash'?

Thanks,

Ron

Here is how I implemented the signal handler.

#include <signal.h>

void sigint()
{
  printf("interrupt...\n");
  debug_flag = 1;
  signal(SIGINT, sigint);
}

int main(argc, argv)
     int argc;
     char *argv[];
{
  signal(SIGINT, sigint);
}
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".